import { Component, OnInit } from '@angular/core';
import { BaseMagicAlertComponent } from '@magic-xpa/angular';

import { SafeHtml } from '@angular/platform-browser';

@Component({
  selector: 'app-custom-alert',
  templateUrl: './custom-alert.component.bs.html',
  styleUrls: ['./custom-alert.component.scss']
})
export class CustomAlertComponent extends BaseMagicAlertComponent implements OnInit {

  sanitizemessage: SafeHtml;
  constructor(

  ) {
    super();
  }
  async ngOnInit() {
    this.sanitizemessage = this.Safemessage();

  }

  Safemessage(): SafeHtml {
    return this.message;
  }
}